Quassel IRC - Bug #495

storage location of quasselclient.conf is not configurable
01/21/2009 07:42 PM - billie

Status: Rejected Start date: 01/21/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 80%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

After changing the default location for configuration files quasselcore.conf successfully migrated to the customized --configdir.
quasselclient.conf always stays at the new default location ~/.config/quassel-irc.org regardless of the --configdir setting.

History

#1 - 01/22/2009 08:34 PM - Sputnick
- Status changed from New to Feedback
- Target version set to 0.4.0

- % Done changed from 0 to 80

Works for me:

[

sputnick@axion tbuild % ./quassel --configdir=~/tmp/fubar

**x TMPORTANT: Config and data file locations have changed. Attempting to auto-migrate your client settings...
* Your client settings have been migrated to "/home/sputnick/tmp/fubar/quasselclient.conf"
*** Migration completed.

2009-01-22 20:32:06 Warning: SslServer: Certificate file /home/sputnick/tmp/fubar/quasselCert.pem does not exi
st
2009-01-22 20:32:06 Warning: SslServer: Unable to set certificate file

Quassel Core will still work, but cannot provide SSL for client connections.

Please see http://quassel-irc.org/faqg/cert to learn how to enable SSL support.
2009-01-22 20:32:06 Warning: SslServer: Certificate file /home/sputnick/tmp/fubar/quasselCert.pem does not exi
st

**x TIMPORTANT: Config and data file locations have changed. Attempting to auto-migrate your core settings...
* Your core settings have been migrated to "/home/sputnick/tmp/fubar/quasselcore.conf"

* Your database has been moved to "/home/sputnick/tmp/fubar/quassel-storage.sqglite"

*** Migration completed.

2009-01-22 20:32:06 Info: Storage Backend is ready. Quassel Schema Version: 13
2009-01-22 20:32:06 Info: Restoring previous core state...

sputnick@axion tbuild % 1ls ~/tmp/fubar

quasselclient.conf quasselcore.conf quassel-storage.sqglite

o

sputnick@axion tbuild %

Please try again and make sure you did nothing wrong; if it still fails, please describe exactly what you did. Migration code for core and client settings
is identically, and they both use Quassel::configDirPath() to determine the new files' location, so | don't see how this could fail, and | obviously can't
reproduce.

#2 - 01/22/2009 09:26 PM - billie

1. Stop core
2. Move files (quasselCert.pem quasselclient.conf quasselcore.conf quassel-storage.sqlite) t0 jmp/uoar

3. Start core with "quasselore --configdir=/tmp/bear"
4. All files are recognized in the location for configdir passed to quasselcore besides quasselclient.conf which is ignored and created at

~/.config/quassel-irc.org
5. Getting almost kick-banned on a few channels after doing this ten times within 15 minutes ;-)

#3 - 01/22/2009 10:30 PM - Sputnick

Can you tell me what's in that file that gets created? | have a feeling that it's quite empty...
#4 - 01/23/2009 11:27 PM - Sputnick
- Status changed from Feedback to Rejected

Error on layer 8.
